#ifndef LuxGauge_h
#define LuxGauge_h
// Lux_Gauge.h
/*
   (c)2014-2022 Forward Computing and Control Pty. Ltd.
   NSW Australia, www.forward.com.au
   This code is not warranted to be fit for any purpose. You may only use it at your own risk.
   This code may be freely used for both private and commercial use
   Provide this copyright is maintained.
*/
#include <pfodControl.h>
class LuxGauge : public pfodControl {
  public:
    LuxGauge(pfodDwgs *_dwgsPtr);
    void setLux(float _fvalue);
    void draw();
    void update();

  private:
    pfodAutoIdx circle_idx;
    pfodAutoIdx bar_idx;
    pfodAutoIdx value_idx;

    float fvalue;
    float logValue;
    float logLuxToRange(float log_lx);
    void drawScalePoint(float lx);
};
#endif // LuxGauge_h
