#ifndef rh_in_out_Gauge_h
#define rh_in_out_Gauge_h
/*
   (c)2014-2022 Forward Computing and Control Pty. Ltd.
   NSW Australia, www.forward.com.au
   This code is not warranted to be fit for any purpose. You may only use it at your own risk.
   This code may be freely used for both private and commercial use
   Provide this copyright is maintained.
*/
#include <pfodControl.h>
class rh_in_out_Gauge : public pfodControl {
  public:
    rh_in_out_Gauge( pfodDwgs *_dwgsPtr);
    void draw();
    void update();
    void setInRH(int rh);
    void setOutRH(int rh);

  private:
    void drawScalePoint(int value);
    int fullScaleAngle;
    int z_idx;
    int rhIn;
    int rhOut;
};
#endif // rh_in_out_Gauge_h
