#ifndef ChartButton_h
#define ChartButton_h
/*
 * ChartButton.cpp
   (c)2022 Forward Computing and Control Pty. Ltd.
   NSW Australia, www.forward.com.au
   This code is not warranted to be fit for any purpose. You may only use it at your own risk.
   This code may be freely used for both private and commercial use
   Provide this copyright is maintained.
*/
#include <pfodControl.h>
class ChartButton : public pfodControl {
  public:
    ChartButton( pfodDwgs *_dwgsPtr, char cmd);
    void draw();
    void update();
    
  private:
  	char cmd; // cmd to send when button touched
    pfodAutoIdx charCircle_idx;
};
#endif // ChartButton_h
